Package com.sun.jna.platform.linux

## Class XAttr.size_t

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.linux.XAttr.size_t

All Implemented Interfaces:
  `NativeMapped`, `java.io.Serializable`

Enclosing interface:
  XAttr

    public static class XAttr.size_t
    extends IntegerType

See Also:
  Serialized Form

### Field Summary

Fields
`static XAttr.size_t` `ZERO`

### Constructor Summary

Constructors
`size_t()`
`size_t​(long value)`

### Method Summary

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ZERO

    public static final XAttr.size_t ZERO

### Constructor Detail

#### size_t

    public size_t()

#### size_t

    public size_t​(long value)